#include "vision.h"

std::vector<int> getVisionPattern1d()
{
    return {1, 1, 2, 1, 2};
}

int getMove1d(std::vector<int> v)
{
    int n = v.size() / 2;
    if (n == 1)
    {
        if (v[0] == 2) return 0;
        return 2;
    }
    if (n == 2)
    {
        if (v[0] == 2)
            return 0;
        return 4;
    }
}

std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0, 0};
}
